Packages - Bug #2581

installing xorgproto (2019.2-2) breaks dependency ...
2019-12-22 01:30 AM - bill-auger

Status: confirmed % Done: 0%
Priority: bug

Assignee:

Category:

Description

libre/mplayer and other programs have unmet dependencies - they are installed but no longer in the repos
$ sudo pacman -Syu

installing xorgproto (2019.2-2) breaks dependency 'dmxproto' required by libdmx
installing xorgproto (2019.2-2) breaks dependency 'xf86dgaproto' required by libxxf86dga

History

#1 - 2019-12-23 01:15 PM - bill-auger

- Status changed from confirmed to not-a-bug

a news item was posted on the parabola front page about this problem - per:

https://lists.archlinux.org/pipermail/arch-announce/2019-December/000399.html

due to some recent changes in arch, manual intervention may be required if you hit any errors of the form:
:: installing xorgproto (2019.2-2) breaks dependency * required by *
to correct dependency errors related to 'xorgproto':

# pacman -Qi libdmx &>1 && pacman —-Rdd libdmx
# pacman -Qi libxxf86dga &>1 && pacman -Rdd libxxf86dga
# pacman -Syu

#2 - 2019-12-24 08:32 AM - bill-auger
- Status changed from not-a-bug to confirmed

- Subject changed from [mplayer][xorgproto]: installing xorgproto (2019.2-2) breaks dependency ... to installing xorgproto (2019.2-2) breaks
dependency ...

#3 - 2019-12-25 01:15 AM - libreuser

when:

pacman -Rdd libdmx libxxf86dga

returns:

error: not found: libdmx AND exit without erase libxxf86dga

i had to run (separately):
pacman -Rdd libxxf86dga

)/

#4 - 2019-12-25 02:06 AM - bill-auger

thanks libreuser - ive updated the new item and my post above

#5 - 2019-12-25 01:25 PM - bill-auger

- Description updated
